> For the complete documentation index, see [llms.txt](https://docs.valq.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.valq.com/model/formula-functions/finance-functions.md).

# Finance Functions

<table><thead><tr><th width="136">NAME</th><th>SYNTAX</th><th>DESCRIPTION</th></tr></thead><tbody><tr><td><a href="/model/formula-functions/finance-functions/irr.md">IRR</a></td><td>IRR (Values, Guess?) - > number</td><td>Returns the internal rate of return for a series of cash flows. Node references are also accepted as arguments</td></tr><tr><td><a href="/model/formula-functions/finance-functions/npv.md">NPV</a></td><td>NPV (Rate, value1, valueN?) - > number</td><td>Returns the net present value of an investment based on a discount rate and a series of future payments (negative values) and income (positive values)</td></tr><tr><td><a href="/model/formula-functions/finance-functions/pmt.md">PMT</a></td><td>PMT(Rate, Nper, PV, FV?, Type?) - > number</td><td>Calculates the payment for a loan based on constant payments and a constant interest rate</td></tr><tr><td><a href="/model/formula-functions/finance-functions/ipmt.md">IPMT</a></td><td>IPMT (Rate, Per, Nper, PV, FV?,Type?) - > number</td><td>Returns the interest payment for a given period for an investment, based on periodic, constant payments and a constant interest rate</td></tr><tr><td><a href="/model/formula-functions/finance-functions/fv.md">FV</a></td><td>FV(Rate, Nper,Pmt?, PV,Type?) - > number</td><td>Returns the future value of an investment based on periodic, constant payments and a constant interest rate</td></tr><tr><td><a href="/model/formula-functions/finance-functions/pv.md">PV</a></td><td>PV(Rate,Nper,Pmt?,FV,Type?) - > number</td><td>Returns the present value of an investment</td></tr><tr><td><a href="/model/formula-functions/finance-functions/cumipmt.md">CUMIPMT</a></td><td>CUMIPMT (Rate, Nper, PV, start_period, end_period, Type) - > number</td><td>Returns the cumulative interest paid between two periods</td></tr><tr><td><a href="/model/formula-functions/finance-functions/cumprinc.md">CUMPRINC</a></td><td>CUMPRINC (Rate, Nper, PV, start_period, end_period, Type) - > number</td><td>Returns the cumulative principal paid on a loan between two periods</td></tr><tr><td><a href="/model/formula-functions/finance-functions/rate.md">RATE</a></td><td>RATE(Nper, PMT, PV?,FV?,Type?,Guess?) - > number</td><td>Returns the interest rate per period of a loan or an investment.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.valq.com/model/formula-functions/finance-functions.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
